import * as $dara from '@darabonba/typescript';
import { ModifyInstanceNetworkOptionsResponseBody } from "./ModifyInstanceNetworkOptionsResponseBody";
export declare class ModifyInstanceNetworkOptionsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyInstanceNetworkOptionsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
